Amazon: Nova 2 Lite - API in Egypt, billed in EGP
Livenova-2-lite-v1Nova 2 Lite is a fast, cost-effective reasoning model for everyday workloads that can process text, images, and videos to generate text. Nova 2 Lite demonstrates standout capabilities in processing
Modality
Chat
Context window
1M tokens
Max output
66K tokens
Region
US
Published
29 Sept 2026
Pricing
Input
17.19
EGP per 1M tokens
Output
143.25
EGP per 1M tokens
Monthly cost example
3,008.33 EGP
Illustrative estimate: 50M input + 15M output tokens per month at this model's catalog rates.
Use it via the API
Amazon: Nova 2 Lite works with any OpenAI-compatible SDK — point the base URL at https://dev-backend.sovereigneg.com/v1 and use your SovereignEG API key.
Run inference
OpenAI-compatible — POST /v1/chat/completions — drop-in for any OpenAI SDK.
from openai import OpenAI
client = OpenAI(
base_url="https://dev-backend.sovereigneg.com/v1",
api_key="YOUR_API_KEY",
)
response = client.chat.completions.create(
model="nova-2-lite-v1",
messages=[
{"role": "user", "content": "What are some fun things to do in Cairo?"}
],
)
print(response.choices[0].message.content)import OpenAI from "openai"
const client = new OpenAI({
baseURL: "https://dev-backend.sovereigneg.com/v1",
apiKey: "YOUR_API_KEY",
})
const response = await client.chat.completions.create({
model: "nova-2-lite-v1",
messages: [
{ role: "user", content: "What are some fun things to do in Cairo?" },
],
})
console.log(response.choices[0].message.content)curl https://dev-backend.sovereigneg.com/v1/chat/completions \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "nova-2-lite-v1",
"messages": [
{"role": "user", "content": "What are some fun things to do in Cairo?"}
]
}'Frequently asked questions
How much does Amazon: Nova 2 Lite cost?
17.19 EGP per 1M input tokens; 143.25 EGP per 1M output tokens. Billing is metered per token in Egyptian pounds (EGP), with no minimum commitment.
What is the context window of Amazon: Nova 2 Lite?
Amazon: Nova 2 Lite supports a context window of 1,000,000 tokens (1M), with up to 65,535 output tokens per response.
Where is Amazon: Nova 2 Lite hosted?
Amazon: Nova 2 Lite is served from US (US-hosted inference).
How do I use Amazon: Nova 2 Lite via the API?
Amazon: Nova 2 Lite is available through the OpenAI-compatible SovereignEG API: point your SDK's base URL at https://dev-backend.sovereigneg.com/v1 and call /v1/chat/completions with model "nova-2-lite-v1" and your API key.
Related models
View all models →Amazon: Nova Lite 1.0
amazon · Chat · 300K context
3.44 EGP / 1M input tokens
Amazon: Nova Micro 1.0
amazon · Chat · 128K context
2.01 EGP / 1M input tokens
Amazon: Nova Pro 1.0
amazon · Chat · 300K context
45.84 EGP / 1M input tokens
AionLabs: Aion 3.5
aion-labs · Chat · 262K context
171.90 EGP / 1M input tokens